// We put our logic in a class in this example, but modules can include any valid JS and you can export objects, functions etc as well
class ModuleTest {

	// A constructor method that runs automatically everytime we instantiate a new instance of this calss
	constructor(options) {

		// We store the options we receive from the JS Tab for this widget instance
		this.div = options.div
		this.delete = options.deleteOnClick
		
		// We call a method in this class
		this.init()

	}
	
	// We define a method that will delete the div element of the widget if the corresponding widget setting was set to True
	init() {
		if (this.delete ) {
			this.div.addEventListener('click', e =>{
				this.div.remove()
			})
		}
	}
	
	// We define a method that logs the options. We will call this method from the JS Tab
	logOptions() {
		console.log(this.div, this.delete)
	}
}

export {ModuleTest as ModuleTest}